Assess Toys
Assess toys from submitted images.
Assess toys from submitted images.
Header Parameters
Request Body
application/json
Request body for POST /toys/assessments.
images*array<object>One or more images. Each image can be a URL image, a base64 image, or the server-issued image_ref returned by POST /images.
Show child attributes3 shapes
Each item can be one of these shapes.
Image provided as base64 data.
images[].filename*stringFilename for the uploaded image data.
images[].data*stringBase64-encoded image bytes.
Image provided by URL.
images[].url*stringReachable image URL.
images[].filename?string | nullOptional filename to use when downloading this image.
Pre-uploaded assessment image referenced by its server-issued handle.
images[].image_ref*stringServer-issued reference returned by POST /images.
external_id?stringinclude?array<enum>Result sections to request. When omitted, the assessment uses the operations enabled for your organization. When at least one requested section is enabled, any others are omitted and reported in the response issues.
"identity" | "valuation"Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/toys/assessments" \ -H "Content-Type: application/json" \ -d '{ "images": [ { "filename": "string", "data": "string" } ] }'{ "assessment_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "external_id": "toy-123", "status": "completed", "created_at": "2026-06-09T19:12:42.548Z", "completed_at": "2026-06-09T19:13:12.548Z", "assessment": { "items": [ { "identity": { "name": "Optimus Prime", "character": "Optimus Prime", "year": "1984", "brand": "Transformers", "manufacturer": "Hasbro", "franchise": "Transformers", "toy_line": "Generation 1", "series": "Autobot Cars", "toy_sub_type": "action_figure" }, "valuation": { "price": 120, "price_range": { "min": 90, "max": 150 }, "confidence": "high" } } ] }, "issues": []}